summaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorMatthew Thode <[email protected]>2018-02-08 02:31:54 +0000
committerBrian Behlendorf <[email protected]>2018-02-07 18:31:54 -0800
commit6f259b59cf16f3c859caa64ce5fe55aa39481bad (patch)
tree12c833547f92cd4a47293765ffdd5c04e8561752 /contrib
parent9ca25e709b904ab9669724d53eb50ee074c09705 (diff)
Only run pre-mount hook zfs-load-key on systemd
Reviewed-by: Kash Pande <[email protected]> Reviewed-by: bunder2015 <[email protected]> Reviewed-by: Brian Behlendorf <[email protected]> Signed-off-by: Matthew Thode <[email protected]> Closes #7136 Closes #7140
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/dracut/90zfs/zfs-load-key.sh.in3
1 files changed, 3 insertions, 0 deletions
diff --git a/contrib/dracut/90zfs/zfs-load-key.sh.in b/contrib/dracut/90zfs/zfs-load-key.sh.in
index d86763fcc..9a6241bd7 100755
--- a/contrib/dracut/90zfs/zfs-load-key.sh.in
+++ b/contrib/dracut/90zfs/zfs-load-key.sh.in
@@ -1,5 +1,8 @@
#!/bin/bash
+# only run this on systemd systems, we handle the decrypt in mount-zfs.sh in the mount hook otherwise
+[[ -e /bin/systemctl ]] || return 0
+
# This script only gets executed on systemd systems, see mount-zfs.sh for non-systemd systems
# import the libs now that we know the pool imported